## AtkPlug AtkPlug — Toplevel for embedding into other processes |

## Functions

AtkObject * | atk_plug_new ()
gchar * | atk_plug_get_id ()

## Types and Values

struct | AtkPlug

## Description

See AtkSocket

## Functions

### atk_plug_new ()

    AtkObject *
    atk_plug_new (void);

### atk_plug_get_id ()

    gchar *
    atk_plug_get_id (AtkPlug *plug);

Gets the unique ID of an AtkPlug object, which can be used to embed inside of an AtkSocket using `atk_socket_embed()`.

Internally, this calls a class function that should be registered by the IPC layer (usually at-spi2-atk). The implementor of an AtkPlug object should call this function (after atk-bridge is loaded) and pass the value to the process implementing the AtkSocket, so it could embed the plug.

#### Parameters

plug | an AtkPlug |

#### Returns

the unique ID for the plug

Since: 1.30

## Types and Values

### struct AtkPlug

    struct AtkPlug {
      AtkObject parent;
    };

## See Also

AtkPlug